weka.core.pmml.jaxbbindings

## Class RandomLiftGraph

- java.lang.Object
- - weka.core.pmml.jaxbbindings.RandomLiftGraph

-     public class RandomLiftGraph
      extends java.lang.Object

  Java class for RandomLiftGraph element declaration.

  The following schema fragment specifies the expected content contained within this class.

       <element name="RandomLiftGraph">
         <complexType>
           <complexContent>
             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
               <sequence>
                 <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}LiftGraph"/>
               </sequence>
             </restriction>
           </complexContent>
         </complexType>
       </element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RandomLiftGraph()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<Extension>` | `getExtension()` Gets the value of the extension property.
    `LiftGraph` | `getLiftGraph()` Gets the value of the liftGraph property.
    `void` | `setLiftGraph(LiftGraph value)` Sets the value of the liftGraph property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RandomLiftGraph

          public RandomLiftGraph()

  - ### Method Detail

    - #### getExtension

          public java.util.List<Extension> getExtension()

      Gets the value of the extension property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

      For example, to add a new item, do as follows:

              getExtension().add(newItem);

      Objects of the following type(s) are allowed in the list `Extension`

    - #### getLiftGraph

          public LiftGraph getLiftGraph()

      Gets the value of the liftGraph property.
      Returns:
        possible object is `LiftGraph`

    - #### setLiftGraph

          public void setLiftGraph(LiftGraph value)

      Sets the value of the liftGraph property.
      Parameters:
        `value` - allowed object is `LiftGraph`